DEBCONF-COPYDB.FR.1(1)

NOM
debconf-copydb - copie une base de données debconf

SYNOPSIS
 debconf-copydb sourcedb destdb [--pattern=pattern] [--owner-pattern=patern] [--config=Foo:bar]

DESCRIPTION
debconf-copydb copie des éléments d'une base de données debconf existante dans une autre base, ou dans une nouvelle. Les deux bases de données peuvent être de différents formats ; si c'est le cas, une conversion sera automatiquement faite.

OPTIONS

sourcedb
    Le nom de la base de données source. Elle sera définie dans votre fichier debconf.conf (ou .debconfrc).

destdb
    Le nom de la base de données de destination. Elle peut être définie dans debconf.conf ou .debconfrc, ou vous pouvez la définir sur la ligne de commande. (voir ci-dessous).

-p pattern, --pattern pattern
    Si ceci est spécifié, seuls les éléments dont les noms correspondent au motif dans sourcedb seront copiés.

--owner-pattern pattern
    Si ceci est spécifié, seuls les éléments dont les propriétaires correspondent au motif dans sourcedb seront copiés.

-c foo:bar, --config Foo:bar
    Fixe l'option Foo à la valeur bar. Cela équivaut à écrire :

      Foo: bar

    dans debconf.conf, excepté que vous voulez probablement omettre l'espace sur la ligne de commande (ou mettre une double apostrophe : "Foo: bar"). Cela doit être généralement utilisé plusieurs fois, pour développer un paragraphe entier de configuration. Puisque les lignes blanches sont utilisées pour séparer les paragraphes dans debconf.conf, ce programme supposera que « Name:dbname » dénote le début d'un nouveau paragraphe.

EXEMPLES
  debconf-copydb configdb backup

Copie tout le contenu de configdb vers backup, en supposant que vous avez déjà défini la base de données backup dans votre debconf.conf.

  debconf-copydb configdb newdb --pattern='^slrn/' \
        --config=Name:newdb --config=Driver:File \
        --config=Filename:newdb.dat

Copie les données de slrn en dehors de configdb vers newdb. newdb n'est pas défini dans le fichier rc, donc le commutateur --config crée la base de données à la volée.

  debconf-copydb configdb stdout -c Name:stdout -c Driver:Pipe \
        -c InFd:none --pattern='^foo/'

Envoie tous les éléments dans la base de données debconf relatifs au paquet foo.

  debconf-copydb configdb pipe --config=Name:pipe \
                --config=Driver:Pipe --config=InFd:none | \
        ssh remotehost debconf-copydb pipe configdb \
                --config=Name:pipe --config=Driver:Pipe

Utilise un tube spécial pour copier une base de données sur un système distant.

VOIR AUSSI
debconf.conf(5)

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Julien Louis <leonptitlouis@ifrance.com>